.TH BBSCAN "1" "JAN 2024" "BBSCAN 2.0" "A fast vulnerability Scanner"
.RS
.SH NAME
\fBbbscan \fP - A fast vulnerability Scanner
.SH SYNOPSIS
.nf
.fam C
\fBbbscan\fP [\fIPOSITION\fP] [\fIargument\fP]
.fam T
.fi
.fam T
.fi
.SH DESCRIPTION
\fBBBScan\fPis a lightweight, highly concurrent vulnerability scanner
.PP
designed to check for information leaks across a large number of
.PP
targets. It is intended to help penetration engineers locate targets
.PP
that may have weaknesses among a large number of unlabeled hosts.

.SH USAGE
.nf
.fam C
\fBOptions:\fP

           -h, --help            show this help message and exit

\fBTargets:\fP

           --host [HOST ...]     Scan several hosts from command line

           -f TargetFile         Load new line delimited targets from TargetFile

           -d TargetDirectory    Load all *.txt files from TargetDirectory

           --crawler CrawlDirectory
                                 Load all *.log crawl files from CrawlDirectory

           --network MASK        Scan all Target/MASK neighbour hosts,
                                 should be an integer between 8 and 31

\fBHttp Scan:\fP

           --rule [RuleFileName ...]
                                 Import specified rule files only.

           -n, --no-crawl        No crawling, sub folders will not be processed


           -nn, --no-check404    No HTTP 404 existence check

           --full                Process all sub directories

\fBScripts Scan:\fP

           --scripts-only        Scan with user scripts only

           --script [ScriptName ...]
                                Execute specified scripts only

           --no-scripts          Disable all scripts

\fBConcurrent:\fP

           -p PROCESS            Num of processes running concurrently, 30 by default

           -t THREADS            Num of scan threads for each scan process, 3 by default

\fBOther:\fP

           --proxy Proxy         Set HTTP proxy server

           --timeout Timeout     Max scan minutes for each target, 10 by default

           -md                   Save scan report as markdown format

           --save-ports PortsDataFile
                                 Save open ports to PortsDataFile
           --debug               Show verbose debug info

           --nnn, --no-browser   Do not open web browser to view report

           -v                    show program's version number and exit

.fam T
.fi

.SH EXAMPLES
\fBImport file URLs:\fP
.PP
.nf
.fam C
                                \fBpython BBScan.py -f urls.txt\fP

.fam T
.fi
\fBEnable only specified rules:\fP
.PP
.nf
.fam C
                                \fBpython BBScan.py --rule git_and_svn -f urls.txt\fP

.fam T
.fi
.SH SEE ALSO
Take a look at https://github.com/lijiejie/BBScan for information on how to use.
.SH AUTHOR
BBScan Project https://github.com/lijiejie/BBScan/issues
.PP
Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com> Created this
.PP
manpage generated automatically by txt2man to generate the manual file.
